Package org.eclipse.emf.cdo.common.commit

## Interface CDOChangeSetDataProvider

- All Known Subinterfaces:
    `CDOSavepoint`, `CDOTransaction`, `InternalCDOSavepoint`, `InternalCDOTransaction`
  All Known Implementing Classes:
    `CDOChangeSetDataRevisionProvider`, `CDOPushTransaction`

      public interface CDOChangeSetDataProvider

  Provides consumers with `change set data` structures.
  Since:
    4.0
  Author:
    Eike Stepper

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CDOChangeSetData` | `getChangeSetData()` |

- - ### Method Detail

    - #### getChangeSetData

          CDOChangeSetData getChangeSetData()